Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets
Class TreeSelectionChangeListenerHandler.LazyListener

    java.lang.Object
      org.richfaces.view.facelets.TreeSelectionChangeListenerHandler.LazyListener

All Implemented Interfaces:
  Serializable, EventListener, javax.faces.event.FacesListener, org.richfaces.event.TreeSelectionChangeListener

Enclosing class:
  TreeSelectionChangeListenerHandler

    public static final class TreeSelectionChangeListenerHandler.LazyListener

extends Object
implements org.richfaces.event.TreeSelectionChangeListener, Serializable

See Also:
  Serialized Form

Constructor Summary
`TreeSelectionChangeListenerHandler.LazyListener(String type, javax.el.ValueExpression binding)`

Method Summary
`void` | `processTreeSelectionChange(org.richfaces.event.TreeSelectionChangeEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeSelectionChangeListenerHandler.LazyListener

    public TreeSelectionChangeListenerHandler.LazyListener(String type,
                                                           javax.el.ValueExpression binding)

Method Detail

### processTreeSelectionChange

    public void processTreeSelectionChange(org.richfaces.event.TreeSelectionChangeEvent event)
                                    throws javax.faces.event.AbortProcessingException

  Specified by:
    `processTreeSelectionChange` in interface `org.richfaces.event.TreeSelectionChangeListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.